net.snowflake.client.core

## Class SFException

- java.lang.Object
- - java.lang.Throwable
  - - net.snowflake.client.core.SFException

All Implemented Interfaces:
  Serializable

    public class SFException
    extends Throwable

Created by jhuang on 1/5/16.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SFException(ErrorCode errorCode, Object... params)`
`SFException(Throwable cause, ErrorCode errorCode, Object... params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `getCause()`
`Object[]` `getParams()`
`String` `getQueryId()`
`String` `getSqlState()`
`int` `getVendorCode()`
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SFException

    public SFException(ErrorCode errorCode,
                       Object... params)

#### SFException

    public SFException(Throwable cause,
                       ErrorCode errorCode,
                       Object... params)

### Method Detail

#### getCause

    public Throwable getCause()

Overrides:
  `getCause` in class `Throwable`

#### getQueryId

    public String getQueryId()

#### getSqlState

    public String getSqlState()

#### getVendorCode

    public int getVendorCode()

#### getParams

    public Object[] getParams()

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`